Bug 194290 - CVE-2006-2447 spamassassin arbitrary command execution
Summary: CVE-2006-2447 spamassassin arbitrary command execution
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: spamassassin   
(Show other bugs)
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Warren Togami
QA Contact:
URL:
Whiteboard: impact=moderate,source=apache,public=...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-06-06 21:15 UTC by Josh Bressers
Modified: 2007-11-30 22:11 UTC (History)
7 users (show)

Fixed In Version: 3.0.6 and 3.1.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-07 15:37:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2006-06-06 21:15:47 UTC
+++ This bug was initially created as a clone of Bug #193865 +++

CVE-2006-2447 spamassassin arbitrary command execution

If spamd is run with the
"-v" / "--vpopmail" switch, AND with the "-P" / "--paranoid" switch
It becomes possible to execute arbitrary commands as the user spamd is
running as.

This issue is mitigated by the fact that no imap servers as shipped
with RHEL support vpopmail.  These options are also not the default
spamd options when it is started as a service.


This issue should also affect FC4

Comment 1 Warren Togami 2006-06-07 15:37:49 UTC
Pushed updates to FC4 and FC5. 


Note You need to log in before you can comment on or make changes to this bug.